/*
 * MacSamba
  * <http://ghostwood.org/software/macSamba.html>
 * Copyright 2006 Nick Howes <nick@ghostwood.org>
 * tabs every 4 spaces
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2
 * of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */


#define FLASH_PAGE_SIZE (256) //TODO: this is wrong for some older parts - make it part of deviceInfo?


struct deviceInfoStruct {
	char* name;
	unsigned int idCode;
	int flashPageCount;
	unsigned int flashAddr;
};

typedef const struct deviceInfoStruct deviceInfo_t;

extern deviceInfo_t* getDeviceByID(unsigned int idCode);

