/*
 * MacSamba
 * <http://ghostwood.org/software/macSamba.html>
 * Copyright 2006 Nick Howes <nick@ghostwood.org>
 * tabs every 4 spaces
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2
 * of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */


extern int readByte(usb_t usb, unsigned int addr, unsigned int* word);
extern int readWord(usb_t usb, unsigned int addr, unsigned int* word);
extern int writeWord(usb_t usb, unsigned int addr, unsigned int word);
extern int writeBlock(usb_t usb, unsigned int addr, char* buffer, unsigned int size);
extern deviceInfo_t* getDeviceInfo(usb_t usb);
extern void waitFlashReady(usb_t usb);
extern void checkFlashProgOK(usb_t usb);
extern void resetTarget(usb_t usb);

